function [index,cindex,confq]=fiactham
%FIACTHA Finds the selected models.
%       confq contains the handles of the axes whose models may be
%       prepared for confidence interval computations.

%	L. Ljung 4-4-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.3 $  $Date: 1995/05/10 21:36:59 $

global XIDsumb
sumb=findobj(get(0,'children'),'flat','tag','sitb30');
models=findobj([XIDsumb(1);sumb(:)],'tag','modelline');
ind=findobj(models,'flat','linewidth',3);
cind=findobj(models,'flat','linewidth',0.5);
if isempty(ind)
  iduistat('No models selected. Click on model icons to select desired ones.')
end

confq=[];
index=[];
cindex=[];
for kh=ind(:)'
    hax=get(kh,'parent');
    tag=get(hax,'tag');
    if nargout==3,
       hc=findobj(hax,'tag','ny0');
       if ~isempty(hc),confq=[confq,hax];end
    end
    index=[index,eval(tag(6:length(tag)))];
end
for kh=cind(:)'
    tag=get(get(kh,'parent'),'tag');
    cindex=[cindex,eval(tag(6:length(tag)))];
end
